TROFF(1)

NAME
troff - typeset or format documents

SYNOPSIS
troff [ -abfiqtwz ] [ -mpackage ] [ -nN ] [ -opagelist ]
[ -pN ] [ -raN ] [ -sN ] [ filenames ] ...

AVAILABILITY
This command is available with the Text software installation option. Refer to for information on how to install optional software.

DESCRIPTION

troff formats text in the filenames. For historical reasons, output goes to a CAT/4 phototypesetter attached to /dev/cat, but nobody uses a CAT/4 anymore. Ordinarily, postprocessing software converts output to a form that can be printed on newer typesetters or laser printers. Default font width tables correspond to Times Roman on PostScript™ printers. See also the nroff(1) manual page, which describes a formatter for typewriter-like devices.

Input to troff is expected to consist of text interspersed with formatting requests and macros. If no filename argument is present, troff reads standard input. A `-' as a filename argument indicates that standard input is to be read at that point in the list of input files; troff reads the files named ahead of the `-' in the arguments list, then text from the standard input, and then text from the files named after the `-'.

If the file /etc/adm/tracct is writable, troff keeps printer accounting records there. The integrity of that file may be secured by making troff a “set-user-ID” program (see chmod(1V) for details on the setuid permission bit.)

OPTIONS

Options may appear in any order, but they all must appear before the first filename.

    -a  Send a printable ASCII approximation of the results to the standard output.

    -i  Read the standard input after the input files are exhausted.

    -q  Disable echoing during a .rd request.

    -t  Direct output to the standard output instead of the printer. Since this output is non-ASCII it is generally redirected to lpr -t.

    -mpackage
        Prepend the macro file /usr/lib/tmac/tmac.package to the input filenames. (Note that most references to macro packages include the leading “m” as part of the name; the man(7) macro package resides in /usr/lib/tmac/tmac.an).

    -nN Number first generated page N.

    -olist
        Print only pages whose page numbers appear in the comma-separated list of numbers and ranges. A range N-M means pages N through M; an initial -N means from the beginning to page N; and a final N- means from N to the end.

    -raN
        Set register a (one-character) to N.

Some options of troff only apply if you have a CAT/4 typesetter attached to your system. These options remain present for backward compatibility. However, this version of troff does not support this typesetter by default.

    -b  Report whether the typesetter is busy or available. No text processing is done.

    -f  Refrain from feeding paper out and stopping at the end of the print job on the typesetter.

    -w  Wait until typesetter is available, if currently busy.

    -z  Suppress all formatted output. Display only terminal messages produced by .tm requests and diagnostics.

    -pN Print all characters in point size N while retaining all prescribed spacings and motions, to reduce elapsed time on the typesetter.

    -sN Stop the phototypesetter every N pages. troff produces a trailer so you can change cassettes; resume by pressing the typesetter's start button.

FILES
/tmp/ta*
    temporary file
/usr/lib/tmac/tmac.*
    standard macro files
/usr/lib/term/*
    terminal driving tables for nroff
/usr/lib/font/*
    font width tables for alternate mounted troff fonts
/dev/cat
    phototypesetter
/etc/adm/tracct
    accounting statistics for /dev/cat

SEE ALSO

checknr(1), chmod(1V), col(1V), eqn(1), lpr(1), nroff(1), tbl(1), printcap(5), man(7), me(7), ms(7), lpd(8)

DIAGNOSTICS

No /dev/cat: try -t or -a
    The CAT/4 typesetter is not accessible from your machine. Combine the -t option of troff with the -t option of lpr(1) to get output on a laser printer or typesetter. For information on how to inform lpd(8) of a PostScript printer attached to a remote host, see printcap(5).

NOTES
troff is not 8-bit clean because it is by design based on 7-bit ASCII.